<template>
  <div style="padding: 20px; padding-top: 0" class="reporttablecardxm">
    <div
      style="position: absolute; padding-top: 10px; line-height: 32px"
      class="header_sd-header_common"
    >
      <div :class="$style.titlepoint"></div>
      <span :class="['toptitle', $style.toptitle]">审计问题列表</span>
    </div>
    <sd-data-table
      ref="dataTable"
      :projectlist="true"
      :columns="columns"
      :data-url="dataUrl"
      :actions="actions"
      :process-req="processReq"
      :process-res="processRes"
      :defultpagination-pagesize="50"
    />
  </div>
</template>

<script>
import { Message } from 'ant-design-vue'
import TableActionTypes from '@/common/services/table-action-types'
import download from '@/common/services/download'
import auditService from './iam-audit-dsc-service'
import components from './_import-components/iam-audit-dsc-find-list-import'
const columns = [
  {
    title: '序号',
    customRender: (text, record, index) => `${index + 1}`,
    width: '80px',
  },
  {
    title: '审计机构',
    dataIndex: 'UNIT_NAME',
    width: '200px',
  },
  {
    title: '项目名称',
    dataIndex: 'PROJECT_TITLE',
    width: '200px',
  },
  {
    title: '项目编号',
    dataIndex: 'PROJECT_CODE',
    width: '200px',
  },
  {
    title: '项目组长',
    dataIndex: 'GROUP_LEADER_NAME',
    width: '200px',
  },
  {
    title: '被审计单位',
    dataIndex: 'AUDITED_UNIT_NAME',
    width: '150px',
  },
  {
    title: '审计发现提出人',
    dataIndex: 'CREATOR_NAME',
    width: '180px',
  },
  {
    title: '问题名称（定性描述）',
    dataIndex: 'FIND_TITLE',
    width: '180px',
  },
  {
    title: '审计问题描述',
    dataIndex: 'FIND_DESC',
    width: '200px',
  },
  {
    title: '是否属于审计意见书问题',
    dataIndex: 'GIVE_OPINION',
    width: '180px',
  },
  {
    title: '问题分类',
    dataIndex: 'PROBLEM_CATEGORY_FUNCTION',
    width: '150px',
  },
  {
    title: '是否属于零容忍事项',
    dataIndex: 'ZERO_TOLERATE',
    width: '165px',
  },
  {
    title: '是否移送纪检监察线索（单移送）',
    dataIndex: 'TRANSFER_CLUE_SINGLE',
    width: '180px',
  },
  {
    title: '是否移送纪检监察线索（双移送）',
    dataIndex: 'TRANSFER_CLUE_DOUBLE',
    width: '180px',
  },
  {
    title: '审计处理意见',
    dataIndex: 'HANDLE_SUGGESTION',
    width: '200px',
  },
  {
    title: '非金额类问题类别',
    dataIndex: 'NOT_AMOUNT_TYPE',
    width: '165px',
  },
  // {
  //   title: '问题性质',
  //   dataIndex: 'PROBLEM_NATURE',
  //   width: '150px',
  // },
  {
    title: '问题涉及金额（万元）',
    dataIndex: 'AUDIT_ASSETS',
    width: '160px',
  },
  // {
  //   title: '风险评级',
  //   dataIndex: 'RISK_LEVEL',
  //   width: '100px',
  // },
  // {
  //   title: '问题所属业务域',
  //   dataIndex: 'BUSINESS_PROCESS',
  //   width: '150px',
  // },
  // {
  //   title: '是否问责',
  //   dataIndex: 'WHETHER_ORDER_DUTY',
  //   width: '100px',
  // },
]
export default {
  name: 'IamAuditDscFindList',
  metaInfo: {
    title: '审计发现统计透视图',
  },
  components,
  data() {
    return {
      params: null,
      columns,
      data: [],
      actions: [
        {
          label: '导出',
          id: 'export',
          permission: null,
          type: TableActionTypes.primary,
          callback: () => {
            const params = JSON.parse(this.$route.query.params)
            if (this.$route.query.type === 'findqusetionlist') {
              // this.params.maxResults = '-1'
              // 审计发现问题统计_钻取审计发现列表导出
              auditService
                .exportFindList(params)
                .then((data) => {
                  const url = URL.createObjectURL(data)
                  download(url, '审计问题列表导出.xls')
                })
                .catch(() => {
                  Message.error('导出失败')
                })
            } else if (this.$route.query.type === 'amountlist') {
              // 审计发现问题金额统计_钻取审计发现列表导出
              auditService
                .exportAmountList(params)
                .then((data) => {
                  const url = URL.createObjectURL(data)
                  download(url, '审计问题列表导出.xls')
                })
                .catch(() => {
                  Message.error('导出失败')
                })
            }
            // if (this.$route.query.type === 'projectlist') {
            //   this.params.maxResults = '-1'
            //   // 审计发现统计_钻取审计发现列表导出
            //   auditService
            //     .exportFindList(this.params)
            //     .then((data) => {
            //       const url = URL.createObjectURL(data)
            //       download(url, '审计发现列表导出.xls')
            //     })
            //     .catch(() => {
            //       Message.error('导出失败')
            //     })
            // }
          },
        },
      ],
    }
  },
  computed: {
    dataUrl() {
      if (this.$route.query.type === 'findqusetionlist') {
        return 'api/xcoa-mobile/v1/spicDecisionSupportCenter/getAuditFindList'
      } else if (this.$route.query.type === 'amountlist') {
        return 'api/xcoa-mobile/v1/spicDecisionSupportCenter/getFindAmountList'
      } else {
        return ''
      }
    },
  },
  methods: {
    processRes(res) {
      return res
    },
    processReq(req) {
      const params = JSON.parse(this.$route.query.params)
      req.data = {
        ...req.data,
        ...params,
      }
      if (req.data.pageIndex === undefined) {
        req.data.pageIndex = req.data.startPosition
      }

      if (req.data.pageSize === undefined) {
        req.data.pageSize = 10
      }
      return req
    },
  },
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
.titlepoint {
  position: absolute;
  top: 12px;
  left: 20px;
  width: 8px;
  height: 27px;
  background: #1890ff;
  border-radius: 8px;
}
.toptitle {
  position: absolute;
  top: 9px;
  left: 40px;
  width: 200px;
  font-size: 22px;
  font-weight: bold;
  color: #404040;
}
</style>
